﻿using APIs.Dto;
using AutoMapper;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Models.SqlModel;
using Models.ToolsModel;
using Services;
using Services.Interface;

namespace APIs.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class UserController : Controller
    {
        public IMapper Mapper { get; }
        private readonly IPoliceService _policeService;
        public UserController(IMapper mapper, IPoliceService policeService)
        {
            _policeService = policeService;
            Mapper = mapper;
        }

        [HttpGet]
        public virtual async Task<ApiResult> GetAllPersonnel()
        {
            ApiResult result = new ApiResult();

            try
            {
                var userDto = new UserDto();
                var police = await _policeService.Query();
                //var userInfo = await _userInfo.QueryOne(x => x.UserName == model.UserName && x.PassWord == model.PassWord);
                result.data = police;
                result.code = 1;
                return result;
            }
            catch (Exception ex)
            {
                result.code = 0;
                result.msg = "失败";
                return result;
            }
        }
           
        

    }
}
